from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XEventListener

@runtime_checkable
class XCopyTableListener(XEventListener, Protocol):
    def copyingRow(self, Event: CopyTableRowEvent) -> None: ...
    def copiedRow(self, Event: CopyTableRowEvent) -> None: ...
    def copyRowError(self, Event: CopyTableRowEvent) -> int: ...
